LibreOffice: XDocumentProperties2 Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
XDocumentProperties2 Interface Reference

Extends XDocumentProperties interface to provide additional attributes. More...

`import "XDocumentProperties2.idl";`

Inheritance diagram for XDocumentProperties2:

## Public Types
typedef sequence< string > | Contributor
| Contributors to the resource (other than the authors).
typedef sequence< string > | Publisher
| Entities responsible for making the resource available.
typedef sequence< string > | Relation
| Relationships to other documents.
Public Types inherited from XDocumentProperties
typedef sequence< string > | Keywords
| contains a list of keywords for the document.
typedef sequence< com::sun::star::beans::NamedValue > | DocumentStatistics
| contains some statistics about the document.

## Public Attributes
string | Coverage
| The extent or scope of the resource.
string | Identifier
| Unique identifier of the resource.
string | Rights
| Informal rights statement.
string | Source
| Unique identifier of the work from which this resource was derived.
string | Type
| The nature or genre of the resource.
Public Attributes inherited from XDocumentProperties
string | Author
| contains the initial author of the document.
string | Generator
| identifies which application was used to create or last modify the document.
com::sun::star::util::DateTime | CreationDate
| contains the date and time when the document was created.
string | Title
| contains the title of the document.
string | Subject
| contains the subject of the document.
string | Description
| contains a multi-line comment describing the document.
com::sun::star::lang::Locale | Language
| contains the default language of the document.
string | ModifiedBy
| contains the name of the person who most recently stored the document.
com::sun::star::util::DateTime | ModificationDate
| contains the date and time of the last time the document was stored.
string | PrintedBy
| contains the name of the person who most recently printed the document.
com::sun::star::util::DateTime | PrintDate
| contains the date and time when the document was last printed.
string | TemplateName
| contains the name of the template from which the document was created.
string | TemplateURL
| contains the URL of the template from which the document was created.
com::sun::star::util::DateTime | TemplateDate
| contains the date and time of when the document was created or updated from the template.
string | AutoloadURL
| contains the URL to load automatically at a specified time after the document is loaded into a desktop frame.
long | AutoloadSecs
| contains the number of seconds after which a specified URL is to be loaded after the document is loaded into a desktop frame.
string | DefaultTarget
| contains the name of the default frame into which links should be loaded if no target is specified.
short | EditingCycles
| describes how often the document was edited and saved.
long | EditingDuration
| contains the net time of editing the document (in seconds).

## Additional Inherited Members
Public Member Functions inherited from XDocumentProperties
void | resetUserData ([in] string Author)
| resets all attributes that could identify the user.
com::sun::star::beans::XPropertyContainer | getUserDefinedProperties ()
| provides access to a container for user-defined properties.
void | loadFromStorage ([in] com::sun::star::embed::XStorage Storage, [in] sequence< com::sun::star::beans::PropertyValue > Medium) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::io::WrongFormatException, com::sun::star::lang::WrappedTargetException, com::sun::star::io::IOException )
| loads document properties from an ODF package.
void | loadFromMedium ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Medium) raises ( com::sun::star::io::WrongFormatException, com::sun::star::lang::WrappedTargetException, com::sun::star::io::IOException )
| loads document properties from an ODF package or an OLE container.
void | storeToStorage ([in] com::sun::star::embed::XStorage Storage, [in] sequence< com::sun::star::beans::PropertyValue > Medium) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException, com::sun::star::io::IOException )
| stores document properties to an ODF package.
void | storeToMedium ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Medium) raises ( com::sun::star::lang::WrappedTargetException, com::sun::star::io::IOException )
| stores document properties to an ODF package or an OLE container.

## Detailed Description

Extends XDocumentProperties interface to provide additional attributes.

Since
  LibreOffice 24.2

## Member Typedef Documentation

## ◆ Contributor

sequence< string > Contributor
| attribute

Contributors to the resource (other than the authors).

## ◆ Publisher

sequence< string > Publisher
| attribute

Entities responsible for making the resource available.

## ◆ Relation

sequence< string > Relation
| attribute

Relationships to other documents.

Recommended practice is to identify the related resource by means of a URI. If this is not possible or feasible, a string conforming to a formal identification system may be provided.

## Member Data Documentation

## ◆ Coverage

string Coverage
| attribute

The extent or scope of the resource.

## ◆ Identifier

string Identifier
| attribute

Unique identifier of the resource.

## ◆ Rights

string Rights
| attribute

Informal rights statement.

## ◆ Source

string Source
| attribute

Unique identifier of the work from which this resource was derived.

## ◆ Type

string Type
| attribute

The nature or genre of the resource.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XDocumentProperties2.idl